Skip to main content
GET
/
api
/
dataset
/
{slugOrId}
Python
import requests

url = "https://app.langwatch.ai/api/dataset/{slugOrId}"

headers = {"X-Auth-Token": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};

fetch('https://app.langwatch.ai/api/dataset/{slugOrId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
curl --request GET \
  --url https://app.langwatch.ai/api/dataset/{slugOrId} \
  --header 'X-Auth-Token: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "datasetId": "<string>",
      "projectId": "<string>",
      "entry": {},
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ]
}
{
  "error": "<string>",
  "message": "<string>"
}
{
  "error": "<string>",
  "message": "<string>"
}
{
  "error": "<string>",
  "message": "<string>"
}
{
  "error": "<string>",
  "message": "<string>"
}
{
  "error": "<string>",
  "message": "<string>"
}

Authorizations

X-Auth-Token
string
header
required

Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.

Path Parameters

slugOrId
string
required

Response

Success

data
object[]
required